From 6fea7ef8c94022a68a9e14bf577480589e4fa32c Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Tue, 5 Sep 2023 15:27:31 -0500
Subject: [PATCH v1] Fix some wording in WAL docs

The sentence did not make sense as it was.
---
 doc/src/sgml/wal.sgml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 4aad0e1a07..41f31f5ba7 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -601,9 +601,9 @@
   </para>
 
   <para>
-   On Linux and POSIX platforms <xref linkend="guc-checkpoint-flush-after"/>
-   allows to force the OS that pages written by the checkpoint should be
-   flushed to disk after a configurable number of bytes.  Otherwise, these
+   On Linux and POSIX platforms, <xref linkend="guc-checkpoint-flush-after"/>
+   forces the OS to flush dirty pages written by the checkpoint to disk
+   after writing the configured number of bytes. Otherwise, these
    pages may be kept in the OS's page cache, inducing a stall when
    <literal>fsync</literal> is issued at the end of a checkpoint.  This setting will
    often help to reduce transaction latency, but it also can have an adverse
-- 
Tristan Partin
Neon (https://neon.tech)

